package com.om.service;

import com.om.entity.dto.AppDiagVersionUpdateDTO;
import com.om.entity.dto.UpStatusDto;
import com.om.entity.dto.VehicleDates;
import com.om.entity.po.DiagnosisVersionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.DiagnosisVersionVO;
import com.om.entity.vo.DignosisPageVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-06
 */
public interface IDiagnosisVersionInfoService extends IService<DiagnosisVersionInfo> {

    Result add(DiagnosisVersionVO diagnosisVersionVO);

    Result downloadFile(Integer id);

    Result edit(DiagnosisVersionVO diagnosisVersionVO);

    Result getByUserId(Integer id);

    Result getDesc(DiagnosisVersionVO diagnosisVersionVO);

    Result getPageList(Integer pageIndex,
                       Integer pageSize,
                       String username
                    );
     DiagnosisVersionVO getVO(Integer id);

    Result release(Integer id);

    Result repeal(Integer id);

    Result upStatus(Integer id);

    Result<List<VehicleDates>> diagnosisVersionInfoUpdate(AppDiagVersionUpdateDTO dto);

    Result pushDiagnosis(Integer id);
}
